#!/bin/bash
#
# Put in this script commands to run after startup of Domoticz

#set -x

User=""
Password=""
#Wait time after Domoticz Startup
Sleep=5
#GPIO idx
Chaudiere=39


function setswitch {
	curl -s "http://"$User":"$Password"@127.0.0.1:8080/json.htm?type=command&param=switchlight&idx="$1"&switchcmd="$2 >/dev/null
}

function log_message {
	curl -s "http://"$User":"$Password"@127.0.0.1:8080/json.htm?type=command&param=addlogmessage&message=$1" >/dev/null
}

sleep $Sleep

log_message '*** Reseting%20GPIOs'
#GPIO was reset so set switch states to Off
setswitch $Chaudiere "Off"

sleep 1

# Now set requested initial switch states

log_message '*** Setting%20initial%20GPIO%20states'
# Need to activate "Chauffage marche" relay
setswitch $Chaudiere "On"

